Fedora 16: pós instalação

Publicado por Thiago Fernando em 26/01/2012

[ Hits: 16.353 ]

Blog: http://thiiagofernando.blogspot.com/

 


Fedora 16: pós instalação



Configurando e Atualizando o Sistema


1. Como deixar o Fedora 16 em Português

Abra o terminal e digite:

su (Coloque sua senha)

Agora aplique os comandos:

# yum install system-config-language
# system-config-language


Selecione "Português do Brasil" e reinicie o computador.

2. Como atualizar o Fedora 16

Abra o terminal e digite o comando, como 'root':

# yum update

3. Habilitando o Touchpad no Fedora 16

Caso o touchpad do seu Notebook não funcione como o meu, os comandos abaixo podem resolver o seu problema.

Abra o terminal e digite:

sudo gedit /etc/X11/xorg.conf.d/00-enable-taps.conf

Dentro do arquivo que se abrir, digite:

Section "InputClass"

Identifier "tap-by-default"

MatchIsTouchpad "on"

Option "TapButton1" "1"

EndSection


Salve o arquivo e reinicie o computador.

Abra o terminal novamente e digite os comandos abaixo para testar:

synclient TapButton1=1
$ synclient -l | grep -i vertedge
$ synclient VertEdgeScroll=1


Instalação de Aplicativos Essenciais

1.Pacotes essenciais

Os seguintes comandos irão instalar alguns complementos essenciais para o sistema (Java, Flash, MP3, RAR, entre outros):

sudo yum install gstreamer0.10-ffmpeg gstreamer0.10-pitfdll gstreamer0.10-plugins-bad gstreamer0.10-plugins- bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-plugins-base gstreamer0.10-plugins-good libdvdnav4 libdvdread4 libmp4v2-0 libxine1-ffmpeg ffmpeg flashplugin-nonfree sun-java6-fonts rar unrar p7zip-full p7zip-rar unace unp zip unzip ttf-mscorefonts-installer ttf-liberation mencoder mplayer sun-java6-plugin sun-java6-jre ubuntu-restricted-extras

2. Aplicativos

Agora, algumas sugestões de bons aplicativos:

sudo yum install gimp amsn inkscape libdvdcss2 non-free-codecs

3. Audio e Vídeo

Instalando aplicativos para reprodução de áudio e vídeo (Audacious, Exaile e VLC):

sudo yum install audacious audacious-plugins exaile vlc

4. Fontes

Instale este super pacote de fontes no seu Fedora:

sudo yum install -y msttcorefonts mplayer-fonts ttf-xfree86-nonfree xfs cabextract ttf-liberation ttf-mscorefonts- installer ttf-larabie-straight ttf-larabie-deco xfonts-terminus-dos xfonts-terminus xfonts-terminus-oblique xfonts-mona tv-fonts ttf-tuffy ttf-sjfonts ttf-georgewilliams ttf-fifthhorseman-dkg-handwriting ttf-essays1743 ttf-opensymbol ttf-mgopen ttf-freefont ttf-dustin ttf-dejavu-extra ttf-dejavu-core ttf-dejavu ttf-bpg-georgian-fonts ttf-bitstream-vera equivs ttf-sil-gentium ttf- aenigma gnome-specimen

Ícones e Temas

1. Faenza Icons

Com o comando abaixo, você Instala o Faenza Icon Theme*:

*Faenza Icons: Creio eu que seja um dos mais utilizados conjuntos de ícones. Pois possuiu um visual muito bonito e atraente.

sudo yum install -y faenza-icon-theme faenza-icons-mono

2. Botões minimizar e maximizar

Ativando o botões de minimizar e maximizar no GNOME 3:

Abra o terminal e digite:

gconftool-2 -s -t string /desktop/gnome/shell/windows/button_layout ":minimize,maximize,close"


Previamente publicado em:

Outras dicas deste autor

Thunderbird - Como exportar seus emails do Windows para Linux

Como transformar seu Ubuntu em Kubuntu, Xubuntu, Edubuntu ou Ubuntu-Studio

Leitura recomendada

Instalar NetKit no Debian Squeeze

Debian Etch com som MCP65

Brincando com resolução do monitor

Trocando a porta de serviços para monitoramento Nagios

Instalação do kernel no Fedora Core 6

  

Comentários
[1] Comentário enviado por removido em 06/02/2012 - 22:48h

rapaz, talvez tenha alguma(s) coisa(s) errada aí, veja:

# yum install gstreamer0.10-ffmpeg gstreamer0.10-pitfdll gstreamer0.10-plugins-bad gstreamer0.10-plugins- bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse gstreamer0.10-plugins-base gstreamer0.10-plugins-good libdvdnav4 libdvdread4 libmp4v2-0 libxine1-ffmpeg ffmpeg flashplugin-nonfree sun-java6-fonts rar unrar p7zip-full p7zip-rar unace unp zip unzip ttf-mscorefonts-installer ttf-liberation mencoder mplayer sun-java6-plugin sun-java6-jre ubuntu-restricted-extras
Plugins carregados: fastestmirror, langpacks, presto
Loading mirror speeds from cached hostfile
* fedora: fedora.c3sl.ufpr.br
* livna: rpm.livna.org
* rpmfusion-free: mirror.liberty.edu
* rpmfusion-free-updates: mirror.liberty.edu
* rpmfusion-nonfree: mirror.liberty.edu
* rpmfusion-nonfree-updates: mirror.liberty.edu
* updates: fedora.c3sl.ufpr.br
Configurando o processo de instalação
Nenhum pacote gstreamer0.10-ffmpeg disponível.
Nenhum pacote gstreamer0.10-pitfdll disponível.
Nenhum pacote gstreamer0.10-plugins-bad disponível.
Nenhum pacote gstreamer0.10-plugins- disponível.
Nenhum pacote bad-multiverse disponível.
Nenhum pacote gstreamer0.10-plugins-ugly disponível.
Nenhum pacote gstreamer0.10-plugins-ugly-multiverse disponível.
Nenhum pacote gstreamer0.10-plugins-base disponível.
Nenhum pacote gstreamer0.10-plugins-good disponível.
Nenhum pacote libdvdnav4 disponível.
Nenhum pacote libdvdread4 disponível.
Nenhum pacote libmp4v2-0 disponível.
Nenhum pacote libxine1-ffmpeg disponível.
Nenhum pacote flashplugin-nonfree disponível.
Nenhum pacote sun-java6-fonts disponível.
Nenhum pacote rar disponível.
Nenhum pacote p7zip-full disponível.
Nenhum pacote p7zip-rar disponível.
Nenhum pacote unp disponível.
O pacote zip-3.0-3.fc15.i686 já está instalado em sua última versão
O pacote unzip-6.0-4.fc15.i686 já está instalado em sua última versão
Nenhum pacote ttf-mscorefonts-installer disponível.
Nenhum pacote ttf-liberation disponível.
Nenhum pacote sun-java6-plugin disponível.
Nenhum pacote sun-java6-jre disponível.
Nenhum pacote ubuntu-restricted-extras disponível.
Resolvendo dependências
--> Executando verificação da transação
---> Package ffmpeg.i686 0:0.8.9-1.fc16 will be instalado
---> Package mencoder.i686 0:1.0-0.128.20110816svn.fc16 will be instalado
--> Processando dependência: mplayer-common = 1.0-0.128.20110816svn.fc16 para o pacote: mencoder-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libliveMedia.so.0 para o pacote: mencoder-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libBasicUsageEnvironment.so.0 para o pacote: mencoder-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libUsageEnvironment.so.0 para o pacote: mencoder-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libgroupsock.so.0 para o pacote: mencoder-1.0-0.128.20110816svn.fc16.i686
---> Package mplayer.i686 0:1.0-0.128.20110816svn.fc16 will be instalado
--> Processando dependência: libvdpau.so.1 para o pacote: mplayer-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libcaca.so.0 para o pacote: mplayer-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: liblirc_client.so.0 para o pacote: mplayer-1.0-0.128.20110816svn.fc16.i686
--> Processando dependência: libaa.so.1 para o pacote: mplayer-1.0-0.128.20110816svn.fc16.i686
---> Package unace.i586 0:2.50-6.fc11 will be instalado
---> Package unrar.i686 0:4.0.7-1.fc16 will be instalado
--> Executando verificação da transação
---> Package aalib-libs.i686 0:1.4.0-0.19.rc5.fc15 will be instalado
---> Package libcaca.i686 0:0.99-0.12.beta17.fc16 will be instalado
--> Processando dependência: libglut.so.3 para o pacote: libcaca-0.99-0.12.beta17.fc16.i686
---> Package libvdpau.i686 0:0.4.1-4.fc15 will be instalado
---> Package lirc-libs.i686 0:0.9.0-7.fc16 will be instalado
---> Package live555.i686 0:0-0.32.2011.09.02.fc16 will be instalado
---> Package mplayer-common.i686 0:1.0-0.128.20110816svn.fc16 will be instalado
--> Executando verificação da transação
---> Package freeglut.i686 0:2.6.0-6.fc15 will be instalado
--> Resolução de dependências finalizada

Dependências resolvidas

================================================================================
Pacote Arq. Versão Repo Tam.
================================================================================
Instalando:
ffmpeg i686 0.8.9-1.fc16 rpmfusion-free-updates 256 k
mencoder i686 1.0-0.128.20110816svn.fc16 rpmfusion-free-updates 896 k
mplayer i686 1.0-0.128.20110816svn.fc16 rpmfusion-free-updates 1.1 M
unace i586 2.50-6.fc11 rpmfusion-nonfree 203 k
unrar i686 4.0.7-1.fc16 rpmfusion-nonfree 108 k
Instalando para as dependências:
aalib-libs i686 1.4.0-0.19.rc5.fc15 fedora 62 k
freeglut i686 2.6.0-6.fc15 fedora 165 k
libcaca i686 0.99-0.12.beta17.fc16 fedora 214 k
libvdpau i686 0.4.1-4.fc15 fedora 23 k
lirc-libs i686 0.9.0-7.fc16 updates 33 k
live555 i686 0-0.32.2011.09.02.fc16 rpmfusion-free 283 k
mplayer-common i686 1.0-0.128.20110816svn.fc16 rpmfusion-free-updates 1.2 M

Resumo da transação
================================================================================
Instalar 12 Packages

Tamanho total do download: 4.5 M
Tamanho depois de instalado: 9.5 M
Correto? [s/N]:


Os nomes dos pacotes em muito lembram os pacotes de Debian, Ubuntu e derivados, está certo mesmo? caso esteja informe aí quais repositórios está usando, pois aqui uso os do Fedora, o Livna, o RPMFusion.


E mais:


# yum install -y msttcorefonts mplayer-fonts ttf-xfree86-nonfree xfs cabextract ttf-liberation ttf-mscorefonts- installer ttf-larabie-straight ttf-larabie-deco xfonts-terminus-dos xfonts-terminus xfonts-terminus-oblique xfonts-mona tv-fonts ttf-tuffy ttf-sjfonts ttf-georgewilliams ttf-fifthhorseman-dkg-handwriting ttf-essays1743 ttf-opensymbol ttf-mgopen ttf-freefont ttf-dustin ttf-dejavu-extra ttf-dejavu-core ttf-dejavu ttf-bpg-georgian-fonts ttf-bitstream-vera equivs ttf-sil-gentium ttf- aenigma gnome-specimen
Plugins carregados: fastestmirror, langpacks, presto
Loading mirror speeds from cached hostfile
* fedora: fedora.c3sl.ufpr.br
* livna: rpm.livna.org
* rpmfusion-free: mirror.liberty.edu
* rpmfusion-free-updates: mirror.liberty.edu
* rpmfusion-nonfree: mirror.liberty.edu
* rpmfusion-nonfree-updates: mirror.liberty.edu
* updates: fedora.c3sl.ufpr.br
Configurando o processo de instalação
Nenhum pacote msttcorefonts disponível.
Nenhum pacote mplayer-fonts disponível.
Nenhum pacote ttf-xfree86-nonfree disponível.
Nenhum pacote ttf-liberation disponível.
Nenhum pacote ttf-mscorefonts- disponível.
Nenhum pacote installer disponível.
Nenhum pacote ttf-larabie-straight disponível.
Nenhum pacote ttf-larabie-deco disponível.
Nenhum pacote xfonts-terminus-dos disponível.
Nenhum pacote xfonts-terminus disponível.
Nenhum pacote xfonts-terminus-oblique disponível.
Nenhum pacote xfonts-mona disponível.
Nenhum pacote tv-fonts disponível.
Nenhum pacote ttf-tuffy disponível.
Nenhum pacote ttf-sjfonts disponível.
Nenhum pacote ttf-georgewilliams disponível.
Nenhum pacote ttf-fifthhorseman-dkg-handwriting disponível.
Nenhum pacote ttf-essays1743 disponível.
Nenhum pacote ttf-opensymbol disponível.
Nenhum pacote ttf-mgopen disponível.
Nenhum pacote ttf-freefont disponível.
Nenhum pacote ttf-dustin disponível.
Nenhum pacote ttf-dejavu-extra disponível.
Nenhum pacote ttf-dejavu-core disponível.
Nenhum pacote ttf-dejavu disponível.
Nenhum pacote ttf-bpg-georgian-fonts disponível.
Nenhum pacote ttf-bitstream-vera disponível.
Nenhum pacote equivs disponível.
Nenhum pacote ttf-sil-gentium disponível.
Nenhum pacote ttf- disponível.
Nenhum pacote aenigma disponível.
Resolvendo dependências
--> Executando verificação da transação
---> Package cabextract.i686 0:1.4-1.fc16 will be instalado
--> Processando dependência: libmspack.so.0 para o pacote: cabextract-1.4-1.fc16.i686
---> Package gnome-specimen.noarch 0:0.4-3.fc15 will be instalado
---> Package xorg-x11-xfs.i686 1:1.1.1-3.fc16 will be instalado
--> Processando dependência: ttmkfdir para o pacote: 1:xorg-x11-xfs-1.1.1-3.fc16.i686
--> Processando dependência: libFS.so.6 para o pacote: 1:xorg-x11-xfs-1.1.1-3.fc16.i686
--> Executando verificação da transação
---> Package libFS.i686 0:1.0.3-2.fc15 will be instalado
---> Package libmspack.i686 0:0.3-0.1.alpha.fc16 will be instalado
---> Package ttmkfdir.i686 0:3.0.9-33.fc15 will be instalado
--> Resolução de dependências finalizada

Dependências resolvidas

================================================================================
Pacote Arq. Versão Repo Tam.
================================================================================
Instalando:
cabextract i686 1.4-1.fc16 fedora 40 k
gnome-specimen noarch 0.4-3.fc15 fedora 83 k
xorg-x11-xfs i686 1:1.1.1-3.fc16 fedora 68 k
Instalando para as dependências:
libFS i686 1.0.3-2.fc15 fedora 35 k
libmspack i686 0.3-0.1.alpha.fc16 fedora 55 k
ttmkfdir i686 3.0.9-33.fc15 fedora 41 k

Resumo da transação
================================================================================
Instalar 6 Packages

Tamanho total do download: 322 k
Tamanho depois de instalado: 322 k
Baixando pacotes:

[2] Comentário enviado por thiiagofernando em 07/02/2012 - 09:52h

Estou Usando apenas os Repositorios que vem por pradrão no CD de instalacão do Fedora 16
Apenas dei o seguintes comandos
yum update para atualizar e depois dei os comandos para instalar os codec e Fontes e instalo perfeitamente

[3] Comentário enviado por eddie21 em 19/02/2012 - 10:32h

amigo, eu nao estou conseguindo instalar os codec para rodar "H.264 e MPEG- 4 AAC , etc..."
fica dando a msg "nenhum pacote disponivel", nem pelo GStreamer instala.
tem q modificar alguma coisa para poder liberar a instalaçao dos msm?
ha, mais uma coisa eu fiz do modo q vc explicou acima e utilizo fedora 16 kde.
desde ja obrigado

[4] Comentário enviado por clodoaldops em 25/02/2012 - 14:40h

-tem que aducionar os repositorios rpmfusion p/ instalar os apcotes multimidia

http://www.hardware.com.br/guias/fedora/multimidia-repositorios-adicionais.html

[5] Comentário enviado por clodoaldops em 25/02/2012 - 14:42h

-ou use o EAsyLife
http://easylifeproject.org/

[6] Comentário enviado por lupcorrea em 05/03/2012 - 22:46h

Ao pessoal que está tendo problemas com a parte da instalação dos essenciais, basta dar "# yum update" que ele os próprios repositórios já vão pegar a última versão de cada aplicativo, plugin, pacote, ou o quer que seja e instalar na sua máquina. Acho que deve ser uns 486MB se eu não me engano. Caso falte alguma coisa depois, é só instalar manualmente, e tudo certo. o/

Quanto à instalação do idioma em português, não se faz necessário "# yum install system-config-language", já dá pra ir direto pro "#system-config-language".

[7] Comentário enviado por lupcorrea em 05/03/2012 - 22:48h

A propósito, se você estiverem usando o KDE e, assim como eu, achando ele um pouco pesado demais, visitem essa página: http://mschlander.wordpress.com/2011/01/23/kde-is-slow-for-dummies/ Depois que apliquei a maioria das coisas daí, e removi outros aplicativos inúteis, o KDE ficou uma bala, às vezes chegando a ser mais rápido até que o Gnome.

[8] Comentário enviado por Robsonrp em 18/04/2012 - 20:43h

olá sou iniciante neste sistema fedora, instalei ele e atualizei so que agora ele não quer entrar, ele carrega a tele inicial mas depois só da isso na tela
1.207971[drm] noveau 0000:00:0d:0 misalingd reg 0x0060081d
1.207971[drm] noveau 0000:00:0d:0 misalingd reg 0x0060081d
start sendmail mail transport agent [ok]
start sendmail mail transport client [ok]

fedora kde, como sou novo no sistema, queria a ajuda de algum mais experiente no assunto. grato desde já!



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts